Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000602Core InformModel worldpublic2011-03-06 11:092014-05-07 07:33
ReporterVictor Gijsbers 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSLinuxOS VersionAny
Product Version 
Target VersionFixed in Version6L02 
Summary0000602: [You can't "undo" what hasn't been done!]-error should not be based on the turn count.
DescriptionOut-of-world actions can be undone. E.g., the command sequence "verbose . undo" undoes the verbose command.

However, if one enters one or more out-of-world commands at the start of the game, and then tries to undo them, one will get a spurious [You can't "undo" what hasn't been done!]-error, and the commands will not be undone.

Presumably, the check rule looks at the turn count to see whether any actions have been taken; but since out-of-world actions (and other actions as well, with customisation) do not advance the turn count, the rule erroneously concludes that no actions have been taken. This check rule should be rewritten.

(Perhaps it works differently, but this is my guess.)
Minimal Source Text To Reproduce
Test is a room.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0001074)
EmacsUser (manager)
2011-03-07 16:10

Confirmed with the source

There is a room. North is X.

and tests "verbose / undo" and "n / verbose / undo".
(0001076)
mattweiner (reporter)
2011-03-07 18:10
edited on: 2011-03-07 18:17

Something similar happens with parser errors. See source

Lab is a room. The pen is in the lab. Rule for printing a parser error: try taking the pen.

tested with "foo/undo/i."

[This actually comes up in a work of mine that redirects parser errors.]

And supporting Victor's conjecture, this fixes the problem:

Lab is a room. The pen is in the lab.

Rule for printing a parser error:
     try taking the pen;
     abide by the advance time rule.

(0002489)
graham (administrator)
2014-02-13 15:12

Fixed. It now depends on iterations of the main loop, not iterations of the turn count.

- Issue History
Date Modified Username Field Change
2011-03-06 11:09 Victor Gijsbers New Issue
2011-03-06 17:13 jmcgrew Status new => acknowledged
2011-03-07 16:10 EmacsUser Note Added: 0001074
2011-03-07 16:10 EmacsUser Status acknowledged => confirmed
2011-03-07 18:10 mattweiner Note Added: 0001076
2011-03-07 18:17 mattweiner Note Edited: 0001076 View Revisions
2014-02-13 15:12 graham Note Added: 0002489
2014-02-13 15:12 graham Status confirmed => resolved
2014-02-13 15:12 graham Resolution open => fixed
2014-02-13 15:12 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker